<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
			   xmlns:s="library://ns.adobe.com/flex/spark"
			   xmlns:ui="library://ns.adobe.com/flex/ui"
			   xmlns:mx="library://ns.adobe.com/flex/mx"
			   xmlns:components="br.com.dclick.components.*"
			   xmlns:componente="br.com.desenv.framework.componente.*"
			   xmlns:visual="br.com.desenv.framework.component.visual.*"
			   close="titlewindowCloseHandler(event)"  
			   creationComplete="creationCompleteHandler(event)" 
			   title="Cadastro de Grupo Totalizador">
	
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	<fx:Metadata>
		[Event(name="GrupoTotalizadorIncluidoEvent")]
	</fx:Metadata>

	<fx:Script>
		<![CDATA[
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.rpc.events.ResultEvent;
			import mx.validators.Validator;
			
			import br.com.desenv.nepalign.vo.GrupoTotalizador;
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			
			[Bindable]
			public var grupoTotalizador:GrupoTotalizador = new GrupoTotalizador();
			
			[Bindable]
			private var listaValidadorForm: Array = new Array();
						
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			
			private function carregarListaValidacao(): void
			{
			}
			
			private function limparListaCampo(): void
			{
				ignTextInputDescricao.text = "";
			}
			
			private function creationCompleteHandler( event: FlexEvent ): void 
			{
				carregarListaValidacao();
				limparListaCampo();
			}
			
			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			private function buttonSalvar_clickHandler( event: MouseEvent ): void 
			{
				if (validar(event))
				{
					grupoTotalizador.descricao = ignTextInputDescricao.text;
					
					AMFConnector.instance.prepararObjetoRemoto("grupoTotalizadorService", salvarResultHandler)
						.getOperation("salvar").send(grupoTotalizador) ;
				}	
			}

			private function salvarResultHandler( event: ResultEvent ): void 
			{
				grupoTotalizador = event.result as GrupoTotalizador;
				//dispatchEvent(new ResultEvent("GrupoTotalizadorIncluidoEvent",false, true, grupoTotalizador, null, null));
				dispatchEvent(new Event("GrupoTotalizadorIncluidoEvent"));
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				limparListaCampo();
			}				
		]]>
	</fx:Script>
	
	<mx:Grid styleName="grid" paddingTop="10" paddingBottom="10" paddingLeft="10" paddingRight="10">
		<mx:GridRow>
			<mx:GridItem styleName="gridValor">
				<s:VGroup>
					<s:Label text="Descrição:"/>
					<s:Label id="labelValidacaoDescricao" styleName="labelValidacao" includeInLayout="{ignTextInputDescricao.errorString.length > 0}" text="{ignTextInputDescricao.errorString}"/>
					<visual:IgnTextInput id="ignTextInputDescricao" width="250" obrigatorio="true" listaValidadorForm="{listaValidadorForm}"/>
				</s:VGroup>
			</mx:GridItem>
		</mx:GridRow>	
		<mx:GridRow width="100%">
			<mx:GridItem width="100%" colSpan="4" horizontalAlign="center">
				<s:Button id="buttonSalvar" label="Salvar" click="buttonSalvar_clickHandler(event)"/>
				<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>